Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.util
Class PRNG

    java.lang.Object
      |
      +--gnu.crypto.util.PRNG

public class PRNG
extends java.lang.Object

A useful Singleton hash-based (SHA) pseudo-random number generator used throughout this library.

Version:
  $Revision: 1.1 $
See Also:
  `MDGenerator`

Method Summary
`(package private) static void` | `()`
`static void` | `nextBytes(byte[] buffer)` Completely fills the designated `buffer` with random data generated by the underlying singleton.
`static void` | `nextBytes(byte[] buffer, int offset, int length)` Fills the designated `buffer`, starting from byte at position `offset` with, at most, `length` bytes of random data generated by the underlying singleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

###

    static void ()

### nextBytes

    public static void nextBytes(byte[] buffer)

  Completely fills the designated `buffer` with random data generated by the underlying singleton.

  Parameters:
    `buffer` - the place holder of random bytes generated by this PRNG singleton. On output, the contents of `buffer` are replaced with pseudo-random data, iff the `buffer` size is not zero.

### nextBytes

    public static void nextBytes(byte[] buffer,
                                 int offset,
                                 int length)

  Fills the designated `buffer`, starting from byte at position `offset` with, at most, `length` bytes of random data generated by the underlying singleton.

  See Also:
    `IRandom.nextBytes(byte[], int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.